ReGet Help

Download Wise with ReGet 1.6

How to use ReGet?
The general thing about ReGet is that you form a queue of downloads. You can add new download to a queue by one of the following ways:
  • By clicking "Download using ReGet" in the Internet Explorer 4.x context menu (right-click on the link to bring it up).
  • Drag the link from your favourite browser and drop it on the ReGet window.
  • Set your ReGet to Monitor Clipboard, then just right-click the neccessary link to file in your browser and choose "Copy Shortcut".
  • Or, you can "Copy Shortcut" in your browser and then manually add it to the queue by pressing "Ctrl+V" or by selecting "Paste" from the "Edit" menu of ReGet.
  • Also, you can "Copy Shortcut" in your browser, then right-click on the ReGet icon in the System Tray and select "Paste" from the menu.
  • Finally, you may manually type-in the neccessary URL after selecting the "Add new download..." submenu of "Download" menu.
You can use ReGet in the Simple or Advanced mode. Simple mode is intented for newbies, it has only the required function minimum. In the Advanced mode you can detalize your settings. (All descriptions of advanced features is written by red text.)

The ReGet may be started with English interface. To change interface to any other language, please select in the program menu: View -> Language, then select desired language.

ReGet Home Page (site in USA): www.reget.net

ReGet Home Page (site in Russia): www.reget.com

ReGet beta Home Page: www.reget.com/beta

If you want to automatically receive notifications about new versions of ReGet via e-mail, please subscribe to "ReGet Newsletter" on our web-server.

Last modified on December 2, 1999.


Toolbar

Toolbar in the Simple mode
Toolbar in the Advanced mode

Open a queue file
Add a list of downloads to the current list
Save the download list
 Paste an URL from the clipboard
Add new download
Delete all selected downloads
Delete all succesfull downloads
 Pause selected downloads
Start selected downloads
Bring up the properties window
View log
Move download down
Move download up
Suspend mode
Cooperation mode
High priority mode
Show/Hide greed
Show/Hide progress indicator
 Connect or disconnect
Go to ReGet homepage
Go to ReGet download page to download the latest version of ReGet. If there is no the latest version on the server you can not see this button.


Default download properties

Settings of all tabs in this window will apply to EVERY new download you add to the queue, unless you check "Use own advanced settings" and change each download properties' manually.
URL
"Save downloads to folder" . Specify the folder you want downloaded file to be saved. If this folder doesn't exist it will be created.
"Browse..." . This item brings pop-up window where you can select the folder to which downloaded file will be saved. Your selection will be shown in the previous field.
"Create" - You can create the folder where downloaded files will be saved to.
"Login to server" . If the server (either FTP or HTTP) you are downloading files from requires authentication, mark this checkbox, so you can specify username/password in the fields below. NOTE: When this checkbox is marked and username/password are typed-in, ReGet will apply those username/password for EVERY download you add to the queue, unless you check "Use own advanced settings" and change each download properties' manually.
"User name" . If the server (either FTP or HTTP) you are downloading files from requires authentication, you can specify here a username for this server.
"Password" . If the server (either FTP or HTTP) you are downloading files from requires authentication, you can specify here a password for this server.
"Referer". Here you can specify URL of page where you have found the link to the file.
"Use own advanced settings" . When this checkbox is marked, you have an access to the other tabs (Download, Proxy, FTP, HTTP) of this window (in other words, you are in advanced user mode).
Download
"Auto-start download after adding". If this box is checked, the new download will be auto-started after adding. Also, if "Auto-start download when ReGet starts" is selected, ReGet will activate all downloads after its start.
"Auto-start paused downloads after loading queue" - If the box is checked all downloads will be auto-started after loading queue
"Delete from queue after successful download" . When this box is checked, download will be deleted from the queue upon successful download.
"Auto-restart download after ... disconnection's" . If this box is checked, ReGet will retry the download the specified number of times. The "0" value means unlimited retries.
"Delay ... seconds" - Waits specified number of second befor next attempt.
"Restart in case of low speed". Restarts download in the case of speed is lower than the specified one.
File
"Do not restart from beginning if download can't be resumed" - . If this is checked, and server you are downloading file from doesn't support broken downloads resume, and the download breaks, ReGet wouldn't erase the downloaded piece of file and wouldn't start the download. So, if one file is stored in a number of servers, and you have already downloaded 10Mb from a server which doesn't support broken downloads resume, you can switch to a slower server (but with resume) and finish the download from the current position.
"Get file date and time from server". If this box is checked, the downloaded file will have the same date as it has on the server. From FTP-servers ReGet retrieves the date with "LIST -L", from HTTP-servers ReGet takes the date from the "Last Modified" field.
"Use hidden attribute for partially downloaded files" . When this box is checked, not completely downloaded files are marked as hidden and only upon successful download will be marked as not-hidden (so you see it in the folder).
"Update descript.ion" - If the box is checked, description ("Info" column content and URL) of any file you download adds to file descript.ion in a folder where you put this file.
Proxy
"Use HTTP-Proxy" . Use this proxy for HTTP-servers. The format is following: proxy.domain.com:8080.
"Use FTP-Proxy" . Use this proxy for FTP-servers. The format is following: proxy.domain.com:8080.
"Username" . If your proxy requires authentication, enter the username here. For Microsoft Proxy Server the format is following: Domain\Username.
"Password" . If your proxy requires authentication, enter the password here.
"FTP Proxy Type" . Here you can specify the FTP-proxy type.
"HTTP" - Check this button if you use HTTP-proxy
"user@site (WinGate)" - Check this button if you use MS Proxy
"Rollback ... bytes" . When you use a proxy-server and connection breaks, ReGet will try to rollback ... bytes. Please read more on that on ReGet F.A.Q. under "Smart Rollback" topic.
"Smart rollback" . When this box is checked, ReGet uses the "Smart Rollback" mode. More on that you can find on ReGet F.A.Q. under "Smart Rollback" topic.
"Force proxy to reload file" . If you use the HTTP-proxy, marking this will force your proxy-server to reload file being download from its original location rather than using the cached copy.
"The list of possible Proxy error messages beginnings" - here you can specify possible proxy error messages beginnings, and ReGet will cut out the part of file from those codes.
FTP
"Timeout ... seconds" . If ReGet can't get a data from the server within the specified amount of time, download breaks.
"ASCII mode" . Download this file as text file. This option turns on the conversion from [LF] to [CR][LF].
"PASV mode" . Download this file using PASV mode. PASV mode is being used when you download files using the proxy-server. More on that you can find on ReGet F.A.Q. under "PASV Mode" topic.
"Don't send QUIT (for very slow links)" . When this is checked, ReGet wouldn't send QUIT command.
"Advanced ('?' or '*' in URL)" . Those settings influence URLs with wildcards (masks).
"Include subdirectories" . If this box is checked, ReGet will retrieve all files in the matching subdirectories.
"Create directory structure" . When this box is checked, ReGet will duplicate the FTP-server's directory structure in the download directory.
"URL path is relative to home directory" - If the box is checked, URL path is relative to a directory you are directed after logging on to server
HTTP
"Timeout ... seconds" . If ReGet can't get a data from the server within the specified amount of time, download breaks.
"User-Agent string" . When comunicating to the Web-server, ReGet submits the user-agent information to it. Simply speaking, the user-agent is the program you use to download files. By default, ReGet submits its version as user-agent. However, some servers only allow files to be downloaded by standard browsers, not special Download Managers (such as ReGet). If you faced this problem you can change this filed, so you cheat on such a server and it will appear as you use the regular browser (you can select one which you like better).
"Force use of cookies" - If the box is checked ReGet will always try to use cookies.


Main Menu
File
"Exit" . Exits the program "New"(Ctrl+N) . Creates new queue (.WRG)-file of downloads.
"Open"(Ctrl+O) . Opens existing queue (.WRG)-file.
"Import list..." (Ctrl+L) . Imports list of URLs from a text file. Each string of this file must be a valid URL
"Merge..." (Ctrl+M) . Merges current queue with another queue (.WRG)-file.
"Save" (Ctrl+S) . Saves queue(.WRG)-file.
"Save as..." . Saves queue (.WRG)-file under a different name.
Edit

"Paste URL"(Ctrl+V). Pastes an URL from the clipboard to the current queue. All settings for a new download are taken from the default settings.
"Select all"(Ctrl+A). Selects all downloads in the current queue.
"Copy" -Copies all selected downloads to clipboard
"Clear All" - Deletes all downloads
View
"Toolbar" . Shows/Hides control panel.
"Status string" . Shows/Hides status string (bottom of ReGet windows).
"Graph bar". Shows/Hides graph bar
"Minimize at start" . Makes ReGet auto-minimize to System Tray when started.
"Language" . Selects interface language.
Download
"New download..."(Alt+N) – Adds a new download to the current queue. This menu items brings the pop-up window where you enter new download details.
"Start"(Alt+S)– Starts current download.
"Pause"(Alt+P) – Suspends current download.
"Delete"(Alt+Del) – Deletes current download from a queue. That DOES NOT delete downloaded file from your disk.
"Delete all successful" – Deletes all successfully completed downloads from a queue. That DOES NOT delete downloaded file from your disk.
 "Properties..."(Alt+Enter) – You can change the settings for a download.
"View log..." (Alt+L)– Shows/Hides the log-window for a download. You can view logs for different downloads at one time.
"Move up" (Alt+Up) – Moves the download upper. (the upper download in the queue, the quicker it will be started).
"Move down"(Alt+Down) – Moves the download down. (the more down download in the queue, the later it will be started).
"Open downloaded file"(Enter) – Opens the downloaded file (runs it, or program associated with its extension).
"Open destination directory"(Ctrl+Enter)– Opens the directory where the file was saved to.
Options
"Simple mode" - Switch to simple mode
"Advanced mode" - Switch to advanced mode
"Default download properties..." (Alt+Ctrl+O) - Properties used by every download if its check-box "Use own advanced settings" is not checked
"Program options..." (Alt+O) - Options used by the whole program
"Save as default" - Saves current settings as default
"Traffic priority" - traffic priority of every download
"Suspend" - minimal traffic
"Cooperative" - moderate traffic
"High priority" - maximal traffic
Help

"About this program..." . Program's version information.
"ReGet WWW Page" . Starts your default browser and opens ReGet HomePage.
"Online documentation"(F1) . Opens the online documentation.
"Register ReGet" (F4) . Pop-ups the registration window.
"Enter registration code"(Ctrl-F4) - Pop-ups the window for entering registration code
"Send E-mail" . Starts your e-mail program so you can send e-mail to the author.


Program options

General
"Exit when no active downloads after ... seconds"– If this box is checked ReGet will auto-exit after the specified amount of seconds when there are no active downloads, or downloads are either paused or suspended due to the error.
"Disable all sounds" – To disable all sounds ReGet can produce mark this checkbox.
"Setup Sound" - Pop-ups the window where you can set sound for different events
"Exit if failed to download for ... seconds"– When this is set, ReGet will auto-exit after the specified amount of seconds if it failed to download anything in all downloads.
"Shutdown PC on exit" – When this is set, ReGet will disconnect from internet and shutdown your computer on exit (usefull if you leave your PC turned on only to download files).
"Force shutdown" – When this is set, ReGet will force shutdown even if some tasks are not responding to Windows. We suggest you close all your programs which might ask for save of their documents (Microsoft Word, etc.) before shutdown when turning this feature on.
"Auto save queue every ... minutes"– You can turn auto-save of the current download after specified time and when ReGet exits on. This feature doesn't work if the queue has not been saved.
"Exit button minimizes ReGet window"– Mark this checkbox to use close button as minimize.
"Allow only one instance of ReGet" – When you check this box, ReGet wouldn't start second instance.
"Save settings in queue file" – This allows you to save program/default download settings in a queue file.
Integration
"Monitor" - If the box is checked any URL you copy to clipboard automatically adds to queue
"Ignore extensions" - Here you can specify extensions of files which won't be automatically added to queue from clipboard
"Netscape Navigator"- If the box is checked any link you click in Netscape Navigator will be automatically added to queue
"Internet Explorer"- If the box is checked any link you click in Internet Explorer will be automatically added to queue
"Ignore extensions"- Here you can specify extensions being ignored when adding URL by click
"Confirmation" - If the the box is checked you can edit properties of download befor it will be automatically added to queue from clipboard
"Open cancelled URLs in browser"- If you cancel adding URL to queue it opens in browser
"Confirmation required" - If the box is checked you need to confirm downloads added by click in a browser
"Use ALT key"- If the box is checked you need to keep ALT pressed when clicking to add URL to queue
"Confirmation when adding by Drag&Drop"- If the box is checked ReGet will be ask you to confirmate downloads added by Drag&Drop
"Confirmation when adding from MSIE context menu"- If the box is checked ReGet will be ask you to confirmate downloads added from MSIE context menu
Limits
"Maximum active downloads" – Here you should specify the number of simultaneous downloads allowed. If you add a new download while specified number of downloads is already activated, the new on will be placed on hold and will wait for its turn (when one already active download finishes). When active download finishes and there are waiting downloads in the queue, the upper one will be started.
"High priority mode" - ReGet will work with maximal traffic
"Cooperative mode ... b/s" – ReGet will produce smaller amount of traffic in Cooperative mode. This will give you more traffic for browsing/e-mailing/chatting.
"Suspended mode ... b/s"– ReGet will produce the least amount of traffic in Suspended mode. This will give you most traffic for browsing/e-mailing/chatting.
Dial Up
"Do not dial"- When you start a download ReGet doesn't check if there is a connection or not.
"Dial this connection" - When you start a download ReGet checks if there is a connection or not and connects if there is no connection.
"Wait for any connection" - When you start a download ReGet checks if there is a connection or not and waits for any connections if it is disconnected now.
"Hang up when finished downloading" - Hangs up when all downloads are finished
"Number of redial attempts" - specifies a number of redial attempts
"Seconds between redial attempts" - specifies a number of seconds between redial attempts
"Dial at" - specifies a time of dialing
"Hangup at" - specifies a time of hanging up
Troubleshooting
"Save log to file" - here you can choose file where application log will be saved to
"Maximum lines"– The quantity of lines in the log-file. If log-file gets longer, the older strings are being deleted.
"Application events" - If the box is checked all application events are indicated in application log
"Detailed dialup log" - If the box is checked details are indicated in application log
"Debug messages" - If the box is checked additional debug messages are indicated in application log. You do not need to keep this box checked permanently, but technical support service may ask you to check it in to solve a problem.
"ActiveX log" - If the box is checked some messages from ActiveX are indicated in application log. You do not need to keep this box checked permanently.
"Download errors" - If the box is checked download errors are indicated in application log.
Confirmations
"Hang up"- asks user confirmation befor hanging up
"Application exit" - asks user comfirmation befor exit
"Delete successful downloads" - asks user confirmation befor deleting successful downloads
"Delete selected downloads" - asks user confirmation befor deleting selected downloads
"Timeout ... seconds" - Confirmation window automatically closes after specified number of seconds as if you press OK button.
Columns
Customizing the columns in the downloads list . Here you can customize the width and visibility of different columns in the downloads list. The columns width is in pixels. You can also change the columns' width by dragging their headers' borders.


Status

Status items

Status bar

. The download progress for selected files.
. The instant/average speeds of download.
. The total amount of downloaded bytes.
. The cute graph of download speed.
Status icons
Main window (Download Status)
Download resume is supported on this site. This site is "ReGet"-enhanced.
Download resume is not supported on this site. Rarely, at first attempt "ReGet" may fail at detecting and show this icon for "ReGet"-enhanced site.
Communications with server begun. ReGet is recieving information on file to download.
Downloading file from the beginning.
ReGet-ting file. Resuming download from where it broke last time.
Delay before next attempt to download file.
Critical error occured. "ReGet" will not try to download this file since critical error occured.
"ReGet" is trying to pause download. If download can't correctly paused in 30 seconds, "ReGet" will break connection to the server.
Download is paused.
Download is successfully finished.
Download is placed in a queue and waiting its turn to be executed.
Log window (Log Status)
Information string.
Information recieved.
Information sent.
Download state changed.
Error occured.
Connection.
Debug information.
Information about banner system


Macros

You can use these string in URL, Save downloads to folder, and Save As download properties. For example you can set Save downloads to folder property to
C:\!in\[host]\[path] to sort download into directories.

[Host]
host name from URL (for example www.microsoft.com)
[Host`]
host name where all "." are replaced with "`" (for example www`microsoft`com)
[Host_]
host name where all "." are replaced with "_" (for example www_microsoft_com)
[Path]
Path from URL
[Path`]
Path where all "/" are replaced with "`"
[Path_]
Path where all "/" are replaced with "_"
[Protocol]
protocol name (ftp,http)
[Ext]
filename extension in URL
[WeekDayS]
Abbreviated weekday name
[FullWeekDayS]
Full weekday name
[MonthS]
Abbreviated month
[FullMonthS]
Full month name
[Day]
Day of month as decimal number (1 - 31)
[Hour]
Hour in 24-hour format (0 - 23)
[Hour12]
Hour in 12-hour format (1 - 12)
[DayOfYear]
Day of year as decimal number (1 - 366)
[Month]
Month as decimal number (1 - 12)
[Minute]
Minute as decimal number (0 - 59)
[AmPm]
Current locale's A.M./P.M. indicator for 12-hour clock
[Second]
Second as decimal number (00 - 59)
[Week]
Week of year as decimal number, with Sunday as first day of week (0 - 51)
[Weekday]
Weekday as decimal number (0 - 6; Sunday is 0)
[WeekOfYear]
Week of year as decimal number, with Monday as first day of week (0 - 51)
[Year]
Year without century, as decimal number (00 - 99)
[Year4]
Year with century, as decimal number
[TZ]
Time-zone name or abbreviation; no characters if time zone is unknown


System tray menu

"Open/Close ReGet window"– Opens/closes the ReGet window.
"New download..."(Alt+N)– Adds a new download to the current queue. This menu items brings the pop-up window where you enter new download details.
"Paste URL"(Ctrl+V)– Pastes an URL from the clipboard to the current queue. All settings for a new download are taken from the default settings.
"Monitor clipboard"– If this is set, then ReGet tracks the clipboard. If ReGet sees there a valid URL, it is being added to the current queue. You can also change this setting in the Clipboard monitor tab of Program options window.
"Traffic priority" - traffic priority of every download in queue
"Default download properties..." (Alt+Ctrl+O)
"Program options..."(Alt+O) -
"About this program..." – Pops up an About window.
"Exit"– Exits the program.


Command line parameters

ReGet command line parameters

ReGet [options] [url1] [url2] [file1.lst] [file2.lst] [file1.wrg] [file2.wrg]
By default ReGet opens default.wrg from directory where ReGet.exe placed

-Setup
Setup ReGet on your system. Adds items to Start & MSIE context menus, adds sound events, etc. Use this option if you have moved ReGet to another directory
-UnSetup
Deletes ReGet from registry and Start Menu. Use this option to manually uninstall ReGet.
-Add
Forces ReGet to pass parameters to already running instance. If ReGet isn't running and -NoStart flag not specified new instance of ReGet is started
-Dial
Force running copy of ReGet to dial to Internet
-Hangup
Forces running copy of ReGet to hangup
-cfg:name
Uses specified configuration.
-Wizard
Runs setup wizard
-NoStart
Prevents ReGet from starting if used with /Add


Frequently Asked Questions
Content:
  1. Distribution and packaging:
    1. May I (or my company) distribute ReGet?
    2. Where's the user license?
    3. What are the differences in Pro, Free and Beta versions?
    4. What are the differences in International, En, Jp and Ru versions?
  2. General issues:
    1. I am a web-master, how can I promote ReGet?
    2. What does it take to qualify as beta-tester?
    3. I found a bug in ReGet. What do I do?
  3. Connectivity issues:
    1. How does resume in FTP work?
    2. How does resume in HTTP work?
    3. Why file size isn't being displayed when downloading files from FTP via Microsoft Proxy Server?
    4. I download from FTP-server with broken downloads resume-support via proxy-server, but "ReGet" always starts download from the beginning. Why?
    5. Why error "Invalid EOF" occurs?
    6. What is the "PASV" mode (passive mode)?
    7. How does "Smart Rollback" work and what is it all about?
    8. Why can't I download group of files by mask from FTP-servers sometimes?
    9. Sometimes files I download with ReGet don't open. Why?
  4. Using "ReGet" issues:
    1. How do I specify a username and password in the filename of download (Download properties window)?
    2. Why does ReGet sometimes stops downloading file at 95-99% and doesn't finish download?
    3. When I right-click on the link in Microsoft Internet Explorer 5 and then select "Download by ReGet", nothing happens -- why?
    4. Why does ReGet sometimes can't retrieve files from Web-servers, and my browser can?
    5. I can't retrieve file from FTP-server, what should I do?
    6. I'm using Microsoft Proxy server to connect to Internet and ReGet says: "Only Basic authentification is supported" -- what does it mean?
    7. Can I download the whole site with ReGet?
  5. Useful Tips:
    1. How to move selected download(s) to the very top/bottom of the list (download queue) in one click?
  1. Distribution and packaging:
    1. Question:
      May I (or my company) distribute ReGet?
      Answer:
      The short answer is "NO". The long answer is that you need author's written permission to redistribute ReGet (this includes, but not limited to publishing on www-server, ftp-server) for free or charging a fee.
      We recommend you to link
      http://www.reget.net/cgi-bin/redir.cgi?id=reget-pro for ReGet Pro
      http://www.reget.net/cgi-bin/redir.cgi?id=reget-free for ReGet Free
      http://www.reget.net/cgi-bin/redir.cgi?id=reget-pro-jp for ReGet Pro Japanese version
      http://www.reget.net/cgi-bin/redir.cgi?id=reget-free-jp for ReGet Free Japanese version
      The reason we ask you not to link the .exe file is that we want to make sure that when users download ReGet, they download the newest version, and unless you subscribe to our newsletter, we won't be able to update you when the new version is released.
      If you made a review of ReGet and published it somewhere, please let us know.
      Back to the Content
    2. Question:
      Where's the user license?
      Answer:
      You can find it in the ReGet directory under the name "license.txt".
      Back to the Content
    3. Question:
      What are the differences in Pro, Free and Beta versions?
      Answer:
      ReGet will go commercial. ReGet 1.5 will be shipped in new flavours.
      ReGet Free
      You can use it for free for 30 days. Then it suggests you to register and if you don't ReGet starts to show banners (if you don't mind against ads you can continue to use it for free).
      ReGet Pro
      The full-featured version of ReGet. For $20 fee.
      ReGet Beta
      There's no formal beta-testing program. Everyone who is willing to help us to test the new versions of ReGet is more than welcome to download betas from www.reget.com/beta (this page is in english) and submit the feedback to bugreport@reget.com.
      Back to the Content
  2. Question:
    What are the differences in International, En, Jp and Ru versions?
    Answer:
    International version of ReGet 1.6 has more than 16 languages (full list of languages you can find on our download page). However there are separate distributives for versions wich have English, Japanese and Russian languages only.
    Back to the Content
  • General issues:
    1. Question:
      I am a web-master, how can I promote ReGet?
      Answer:
      Download ReGet now! If you want to make lives of your users easier or just link ReGet from your page, please place ReGet button (shown on the left) on your pages. The HTML-code for it is shown below. Other buttons and banners with their HTML-codes you can find on our partners graphics page. If you made a review of ReGet and published it somewhere, please let us know.
      <A HREF="http://www.reget.com"><IMG
SRC="http://www.reget.com/images/regetnow.gif"
WIDTH="88" HEIGHT="31" BORDER="0" VSPACE="7"
ALT="Download ReGet now!"></A>
      Back to the Content
    2. Question:
      What does it take to qualify as beta-tester?
      Answer:
      There's no formal beta-testing program. Everyone who is willing to help us to test the new versions of ReGet is more than welcome to download betas from www.reget.com/beta (this page is in English) and submit the feedback to bugreport@reget.com
      Back to the Content
    3. Question:
      I found a bug in ReGet. What do I do?
      Answer:
      Please e-mail to support@reget.com if you encountered an error. In your mail please specify:
      • URL to file which you were trying to download.
      • Which OS are you running?
      • The copy of log for this download (can be copied via clipboard).
      • ReGet version and build numbers (can be found in Help About)
      • And error description.
      Back to the Content
  • Connectivity issues:
    1. Question:
      How does resume in FTP work?
      Answer:
      Most FTP-servers support "REST nnn" command. When client passes this command to server, server sends file from the specified position. Most known server with no broken downloads resume is Microsoft IIS. To be correct, it supports "REST nnn" but requires nnn to be equal 0.
      Back to the Content
    2. Question:
      How does resume in HTTP work?
      Answer:
      The special field ("Range: bytes nnn-") have to be supplied in the file request form. If WWW-server supports resume, it returns code 206 and specified part of the file. If it doesn't, it returns the whole file (as in regular request).
      Back to the Content
    3. Question:
      Why file size isn't being displayed when downloading files from FTP via Microsoft Proxy Server?
      Answer:
      MS Proxy doesn't provide sizes of files from FTP. It isn't "ReGet" bug, it's a bug of MS Proxy. Also, as "ReGet" is not aware of actual file size, it cannot determine the connection breaks. So, if MS Proxy broke connection, for "ReGet" it would look like successful download.
      Back to the Content
    4. Question:
      I download from FTP-server with broken downloads resume-support via proxy-server, but "ReGet" always starts download from the beginning. Why?
      Answer:
      The proxy-server might not be supporting resume (like Microsoft Proxy Server). If this is a case, you may try to use direct connection or Winsock-client.
      Back to the Content
    5. Question:
      Why error "Invalid EOF" occurs?
      Answer:
      There is a number of possible reasons:
      1) The wrong time-limit for single file download is set on the server. This problem can be identified when times between start and failure are equal in different attempts.
      2) Error in WWW-service software. For instance such a bug is present in "Apache/1.1.3 rus/PL15R" which incorrectly processes partial file request.
      It can be another reason as well.
      Back to the Content
    6. Question:
      What is the "PASV" mode (passive mode)?
      Answer:
      Usually, when retrieving files over FTP, two connections are used: for commands and for data. Command-connection is set by client, data-connection is set by server. In some cases (when using firewall for instance) both connections have to be set by client. In such a cases server goes to passive mode when "PASV" command is sent from client.
      Back to the Content
    7. Question:
      How does "Smart Rollback" work and what is it all about?
      Answer:
      Smart Rollback can be used only while downloading via proxy-server. When you are using proxy-server two connections are being created:
      (1) (2)
      Client <-> proxy-server <-> WWW/FTP-server
      If first connection breaks no additional processing from ReGet is required.
      However, when second connection breaks, proxy-server usually passes error message, adding it to the end of downloaded file. So, if you continue download, you will have this error message within the downloaded file. There are two possible solutions:
      1. When either (first or second) connection breaks we cut off last 2Kb of downloaded file (so does GetRight). The disadvantage is that it was a first connection which broke (so, no extra-stuff is in the downloaded piece of file), so we loose 2Kb of hardly-downloaded file. Also, error messages are usually shorter than 2Kb, though it depends on the server and kind of error.
      2. At any break, we scan last 2Kb for the error string. Author aware only of two possibilities here: "HTTP/1.x" and "<HTML>" (if you encounter any other, please e-mail the author, and he'll add it to the program). So, if we found an error message we cut it off. If we don't find it -- we consider this broke as it was first connection which failed. The disadvantages are: error message can be in the file, but it can be more than 2Kb long, the error messages can start the other way (as we expect).
      Special case. Some proxy-servers (Microsoft Proxy Server for example) do not report file size when downloading from FTP-servers. So in case of error on the second connection, only way to discover it is to use "Smart rollback". In this case (when downloading via proxy-server, and file size not known, "Smart rollback" is being used ALWAYS.
      Back to the Content
    8. Question:
      Sometimes files I download with ReGet don't open. Why?
      Answer:
      ReGet 1.4 has such a bug: some odd information (like data packets headers) is written into downloaded file. Please install ReGet 1.5, the bug is fixed there.
      Back to the Content
    9. Question:
      Why can't I download group of files by mask from FTP-servers sometimes?
      Answer:
      You can't use "*" and "?" in URLs to download files from FTP-server when using the HTTP-proxy.
      Back to the Content
  • Using "ReGet" issues:
    1. Question:
      How do I specify a username and password in the filename of download (Download properties window)?
      Answer:
      You should do it like that: ftp://username:password@ftp.server.com/DirectoryName/file.zip
      Back to the Content
    2. Question:
      Why does ReGet sometimes stops downloading file at 95-99% and doesn't finish download?
      Answer:
      This can only happen if you use NetSonic. This is actually NetSonic's bug. We are working closely with Web3000 (the company wchih sells NetSonic), we have tested NetSonic 2.5 BETA to find out any incompatibilities issues and this issue will be resolved in NetSonic 2.5.
      Back to the Content
    3. Question:
      When I right-click on the link in Microsoft Internet Explorer 5 and then select "Download by ReGet", nothing happens -- why?
      Answer:
      Most likely, you have other program integrated into MSIE 5. This is the known bug in MSIE 5 -- when a few programs catch clicks in MSIE 5, only one of them is called in random. We have reported to Microsoft about this issue and it should be resolved in the next Service Pack for IE 5.
      Back to the Content
    4. Question:
      Why does ReGet sometimes can't retrieve files from Web-servers, and my browser can?
      Answer:
      Most likely, the destination server is checking either "User-agent" field or "Referrer" (or both) which are being sent in HTTP-request. Try to disable "User-agent" and set "Referrer" to the page in which you found a link to the file. In most cases, ReGet can obtain the necessary "Referrer" setting from your browser, but sometimes it might not work.
      Back to the Content
    5. Question:
      I can't retrieve file from FTP-server, what should I do?
      Answer:
      If you are connected to Internet thru a firewall/proxy-server, please enable "PASV mode" in the FTP settings for your download(s).
      Back to the Content
    6. Question:
      I'm using Microsoft Proxy server to connect to Internet and ReGet says: "Only Basic authentification is supported" -- what does it mean?
      Answer:
      Well, it means that ReGet only supports basic authentication. In order to succesfully use ReGet with MS Proxy Server you can:
      1. Enable basic authentication on the MS Proxy Server (if you have privileges to administrate it)
      2. Install to your local computer the MS Proxy Winsock Client which will logon to MS Proxy server so you can use ReGet (usually, the installation routine for it can be found at: \\proxy-server-name\mspclnt\setup.exe)
      Back to the Content
    7. Question:
      Can I download the whole site with ReGet?
      Answer:
      No, you can't. Perhaps this feature will be implemented in ReGet 2.0. At the present we recommend you to use Offline Exporer.
      Offline Explorer is a really fine tool for downloading and viewing Websites offline. At its simplest, it lets you supply a URL and click the download button to download a page and all first-level links. At its most complex, it gives you complete control over including and excluding downloads from individual servers, folders, URLs, and pages. On large sites, even downloading first-level links can be a massive project, so building a keyword inclusion/exclusion list enables you to limit downloads to the most relevant parts of a site. In addition, you can provide megabyte and file limits for all downloads. Offline Explorer also lets you provide passwords for protected sites and schedule downloads at regular intervals. It comes with an internal browser (which requires Internet Explorer 3.0 or higher to be present on your machine), or you can view sites using any browser on your computer. Downloaded sites are stored as projects, enabling you to save and track multiple sites.
      Back to the Content
  • Useful Tips:
    1. Question:
      How to move selected download(s) to the very top/bottom of the list (download queue) in one click?
      Answer:
      Press and hold the "CTRL"-key when moving download up or down to quickly move it to the very top or bottom of the queue (download list).
      Back to the Content